Bug 1614563 - useradd -D -b /dir core dumps with 4.6-1
Summary: useradd -D -b /dir core dumps with 4.6-1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-09 22:50 UTC by Chris Schanzle
Modified: 2018-12-01 20:40 UTC (History)
2 users (show)

Fixed In Version: shadow-utils-4.6-4.fc28 shadow-utils-4.6-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-01 02:05:03 UTC


Attachments (Terms of Use)

Description Chris Schanzle 2018-08-09 22:50:35 UTC
Description of problem:
updating to shadow-utils to 2:4.6-1 causes
useradd -D -b /somedir
to segfault.

Version-Release number of selected component (if applicable):
shadow-utils-4.6-1.fc28.x86_64


How reproducible:
Always.

Steps to Reproduce:
clean install of fedora server
test useradd (shadow-utils-2:4.5-9)
  useradd -D -b /somedir
  grep HOME /etc/default/useradd
note it changed the default.

upgrade shadow-utils
  dnf -y upgrade shadow-utils # installs 2:4.6-1
repeat test with unique dir:
  useradd -D -b /baz

Actual results:
Segmentation Fault (core dumped)

Expected results:
update default HOME properly

Additional info:
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff6fe37e3 in __gen_tempname () from /lib64/libc.so.6
(gdb) bt
#0  0x00007ffff6fe37e3 in __gen_tempname () from /lib64/libc.so.6
#1  0x000055555555cc3d in set_defaults ()
#2  0x000055555555ba94 in main ()

Comment 1 Chris Schanzle 2018-11-05 23:54:21 UTC
Confirmed bug exists in Fedora 29 with shadow-utils-4.6-2.fc29.x86_64

# gdb useradd
...
(gdb) run -D -b /somedir
Starting program: /usr/sbin/useradd -D -b /somedir
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
warning: Loadable section ".note.gnu.property" outside of ELF segments
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 
0x00007ffff7d694f3 in __gen_tempname () from /lib64/libc.so.6
(gdb) bt
Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 
Python Exception <class 'ModuleNotFoundError'> No module named 'gdb': 
#0  0x00007ffff7d694f3 in __gen_tempname () from /lib64/libc.so.6
#1  0x000055555555cd9d in set_defaults ()
Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing: 
#2  0x000055555555bbf4 in main ()
Python Exception <class 'NameError'> Installation error: gdb.execute_unwinders function is missing:

Comment 2 Fedora Update System 2018-11-08 15:52:33 UTC
shadow-utils-4.6-4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-053fa23050

Comment 3 Fedora Update System 2018-11-08 15:52:54 UTC
shadow-utils-4.6-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-783dfc5196

Comment 4 Fedora Update System 2018-11-09 07:45:08 UTC
shadow-utils-4.6-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-053fa23050

Comment 5 Fedora Update System 2018-11-09 07:50:02 UTC
shadow-utils-4.6-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-783dfc5196

Comment 6 Chris Schanzle 2018-11-16 01:06:29 UTC
update verified to work on fedora 29.  Thanks!

Comment 7 Tomas Mraz 2018-11-16 09:34:02 UTC
Please do not close the bug, it will be closed automatically once the update is pushed to stable.

Comment 8 Fedora Update System 2018-12-01 02:05:03 UTC
shadow-utils-4.6-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-12-01 20:40:02 UTC
shadow-utils-4.6-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.